Loading...
Searching...
No Matches
spa_port_info Struct Reference
SPA » Node

Port information structure. More...

`#include <spa/node/node.h>`

## Data Fields

uint64_t | change_mask
uint64_t | flags
| port flags
struct spa_fraction | rate
| rate of sequence numbers on port
struct spa_param_info * | params
| parameter information
uint32_t | n_params
| number of items in params

## Detailed Description

Port information structure.

Contains the basic port information.

Examples
  export-sink.c, export-source.c, and local-v4l2.c.

## Field Documentation

## change_mask

uint64_t spa_port_info::change_mask

## flags

uint64_t spa_port_info::flags

port flags

## rate

struct spa_fraction spa_port_info::rate

rate of sequence numbers on port

## params

struct spa_param_info* spa_port_info::params

parameter information

## n_params

uint32_t spa_port_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- spa/node/node.h